Bug 134062 - Sub-package dbus-glib doesn't call /sbin/ldconfig
Sub-package dbus-glib doesn't call /sbin/ldconfig
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
: EasyFix
Depends On:
Blocks: FC3Target
  Show dependency treegraph
Reported: 2004-09-29 07:19 EDT by Matthias Saou
Modified: 2013-03-13 00:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-13 13:16:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2004-09-29 07:19:48 EDT
Description of problem:
The dbus-glib sub-package contains shared libraries, but it doesn't
call /sbin/ldconfig upon install and removal.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rpm -qp --scripts dbus-glib-0.22-9.i386.rpm
Actual results:

Expected results:


Additional info:
Are there any cases where shared libraries installed directly in
/usr/lib don't require /sbin/ldconfig to be run in order to operate
properly? Just wondering.
Comment 1 Tim Waugh 2004-10-11 09:38:36 EDT
I've fixed this in CVS like this:

%post glib -p /sbin/ldconfig
%postun glib -p /sbin/ldconfig
Comment 2 John (J5) Palmieri 2004-10-13 13:16:20 EDT
Built in Rawhide.  Thanks Tim.

Note You need to log in before you can comment on or make changes to this bug.